#!/bin/sh

EXT_IF=eth1

source /etc/init.d/functions

case $1 in

	start)	echo "Starting external interface $EXT_IF..."
		rm -f /etc/dhcpc/dhcpcd-eth1.pid
		/usr/sbin/dhcpcd $EXT_IF	&&
		rdate -s time-nw.nist.gov
		evaluate_retval
		echo "Setting hardware clock..."
		hwclock --utc --systohc
		evaluate_retval
		echo "Setting traffic filter..."
		tc qdisc add dev $EXT_IF root tbf rate 120kbit latency 100ms burst 1540
		evaluate_retval
		;;

	stop)	echo "Stopping external interface $EXT_IF..."
		tc qdisc del dev $EXT_IF root
		/usr/sbin/dhcpcd -k $EXT_IF &&
		sleep 3
		evaluate_retval
		;;

	restart)
		$0 stop &&
		$0 start
		;;

	*)	echo "Usage: $0 {start|stop|restart}"
		;;

esac
