#!/bin/sh

# Edit and uncomment the appropriate lines

INT_IF=eth0
INT_IP=10.1.1.100
INT_BROADCAST=10.1.1.255
INT_NETMASK=255.255.255.0

source /etc/init.d/functions

case $1 in

	start)	echo "Starting internal interface $INT_IF..."
		ifconfig $INT_IF $INT_IP		\
			broadcast $INT_BROADCAST	\
			netmask $INT_NETMASK
		evaluate_retval
		;;

	stop)	echo "Stopping internal interface $INT_IF"
		ifconfig  $INT_IF down
		evaluate_retval
		;;

	restart)
		$0 stop &&
		$0 start
		;;

	*)	echo "Usage: $0 {start|stop|restart}"
		;;

esac
